<?php
function mx_theme_settings_init(){
	register_setting( 'mx_theme_settings', 'mx_theme_settings' );
}
function mx_scripts() {
	
wp_enqueue_script("theme-admin", get_bloginfo('stylesheet_directory')."/functions/functions.js", false, "1.0");
wp_enqueue_script('bbq', get_bloginfo('stylesheet_directory') . '/functions/jquery.ba-bbq.min.js');
}

function mx_style() {
wp_enqueue_style("theme-admin", get_bloginfo('stylesheet_directory')."/functions/functions.css", false, "1.0", "all");
}

function mx_echo_scripts()
{
?>

<?php
}
if (isset($_GET['page']) && $_GET['page'] == 'mx-settings')
{
add_action('admin_print_scripts', 'mx_scripts'); 
add_action('admin_print_styles', 'mx_style');
}
add_action('admin_head', 'mx_echo_scripts');

//menu
function mx_add_settings_page() {
add_menu_page( __( 'تنظیمات پوسته' ), __( 'تنظیمات پوسته' ), 'manage_options', 'mx-settings', 'mx_theme_settings_page');
}

add_action( 'admin_init', 'mx_theme_settings_init' );
add_action( 'admin_menu', 'mx_add_settings_page' );

//options
$slider_effects = array("random", "fade", "fold", "slideInRight", "slideInLeft", "sliceDown", "sliceDownLeft", "sliceUp", "sliceUpLeft", "sliceUpDown", "sliceUpDownLeft", "boxRandom", "boxRain", "boxRainReverse", "boxRainGrow", "boxRainGrowReverse");
$categories = get_categories('hide_empty=0&orderby=name');
$wp_cats = array();

foreach ($categories as $category_list ) {
$wp_cats[$category_list->cat_ID] = $category_list->cat_name;
}
array_unshift($wp_cats, "Choose a category"); 
function mx_theme_settings_page() {

global $wp_cats, $slider_effects;
if ( ! isset( $_REQUEST['updated'] ) )
$_REQUEST['updated'] = false;
?>

<div class="wrap">
<div id="icon-options-general" class="icon32"></div><h2>تنظیمات پوسته‌ی Minimal Xpert</h2>

<div id="panel-content">
<?php if ( false !== $_REQUEST['updated'] ) : ?>
<div class="updated fade"><p><strong>تنظیمات ذخیره شد.</strong></p></div>
<?php endif; ?>
<form method="post" action="options.php">

<?php settings_fields( 'mx_theme_settings' ); ?>
<?php $options = get_option( 'mx_theme_settings' ); ?>
            
            
<div id="wrap-left">
	<ul class="tabs">
		<li><a href="#tab1">عمومی</a></li>
		<li><a href="#tab3">بلاگ</a></li>
        <li><a href="#tab4">فوتر</a></li>
		<li><a href="#tab5">کد آمارگیر</a></li>
        <li><a href="#tab6">Minimal Xpert</a></li>
	</ul>
</div><!-- END wrap-left -->
            
<div id="wrap-right">
<div class="tab_container">

<div id="tab1" class="tab_content">
<ul>

<li><h3>لوگو</h3>
<input id="mx_theme_settings[custom_logo]" class="regular-text upload_field" type="text" size="36" name="mx_theme_settings[custom_logo]" value="<?php esc_attr_e( $options['custom_logo'] ); ?>" />
<label class="description abouttxtdescription" for="mx_theme_settings[custom_logo]">آدرس کامل لوگوی سفارشی را وارد کنید</label>
</li>

<li><h3><?php _e( 'Favicon' ); ?></h3>
<input id="mx_theme_settings[upload_favicon]" class="regular-text upload_field" type="text" size="36" name="mx_theme_settings[upload_favicon]" value="<?php esc_attr_e( $options['upload_favicon'] ); ?>" />
<label class="description abouttxtdescription" for="mx_theme_settings[upload_favicon]">آدرس کامل Favicon را وارد کنید</label>
</li>


</ul>              
</div>

<div id="tab2" class="tab_content">
<ul>

                        
</ul>
</div>
 
<div id="tab3" class="tab_content">
<ul>

<li><h3>نمایش ندادن تصویر شاخص در نوشته‌ها</h3>
<input id="mx_theme_settings[disable_single_image]" name="mx_theme_settings[disable_single_image]" type="checkbox" value="1" <?php checked( '1', $options['disable_single_image'] ); ?> />
</li>

<li><h3>نمایش ندادن بیوگرافی نویسنده</h3>
<input id="mx_theme_settings[disable_author]" name="mx_theme_settings[disable_author]" type="checkbox" value="1" <?php checked( '1', $options['disable_author'] ); ?> />
</li>

<li><h3>نمایش ندادن نوشته‌های مرتبط</h3>
<input id="mx_theme_settings[disable_related_posts]" name="mx_theme_settings[disable_related_posts]" type="checkbox" value="1" <?php checked( '1', $options['disable_related_posts'] ); ?> />
</li>

</ul>
</div>

<div id="tab4" class="tab_content">
<ul>
						
<li><h3>نمایش ندادن ابزارک‌های فوتر</h3>
<input id="mx_theme_settings[extended_footer]" name="mx_theme_settings[extended_footer]" type="checkbox" value="1" <?php checked( '1', $options['extended_footer'] ); ?> />
</li>

</ul>
</div>
                
<div id="tab5" class="tab_content">
<ul>
						
<li><h3>کد آمارگیر</h3>
<textarea id="mx_theme_settings[analytics]" class="regular-text" name="mx_theme_settings[analytics]"><?php esc_attr_e( $options['analytics'] ); ?></textarea>
</li>

</ul>
</div>

<div id="tab6" class="tab_content">
<ul>
<h3>Theme Credits</h3>
<p>پوسته‌ی <a href="http://www.wpexplorer.com/minimal-xpert.html">Minimal Xpert</a> ساخته شده توسط <a href="http://www.wpexplorer.com"><strong>WPExplorer.com</strong></a></p>

<h3>پوسته‌ی خوبیه؟</h3>
<br />
<div id="fb-root"></div><script src="http://connect.facebook.net/en_US/all.js#appId=215260205165212&amp;xfbml=1"></script><fb:like href="http://www.wpexplorer.com/minimal-xpert.html" send="true" layout="button_count" width="450" height="40" show_faces="false" font=""></fb:like>

<h3>به صفحه‌ی ما در فیسبوک بپیوندید</h3>
<iframe src="http://www.facebook.com/plugins/likebox.php?href=http%3A%2F%2Fwww.facebook.com%2FWPExplorerThemes&amp;width=270&amp;colorscheme=light&amp;show_faces=true&amp;stream=false&amp;header=true&amp;height=225" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:270px; height:225px;" allowTransparency="true"></iframe>

<h3>پشتیبانان مالی</h3>
<div class="sponsor">
  <a href="http://www.elegantthemes.com/affiliates/idevaffiliate.php?id=3272_0_1_7" target="_blank"><img border="0" src="http://www.elegantthemes.com/affiliates/banners/468x60.gif" width="468" height="60"></a>
</div>

<div class="sponsor">
<a href="http://www.wpexplorer.com/themeforest"><img
border="0" src="http://envato.s3.amazonaws.com/referrer_adverts/tf_468x60_v2.gif"
alt="ThemeForest" width="468" height="60"/></a>
<br /><br />
</div>

</ul>
</div>

</div><!--end tab container-->
</div><!-- END wrap-right -->
<div class="clear"></div>

			<p class="submit-changes">
				<input type="submit" class="button-primary" value="ذخیره‌ی تغییرات" />
			</p>
</form>
</div><!-- END panel-content -->
</div><!-- END wrap -->

<?php
}
//sanitize and validate
function mx_options_validate( $input ) {
	global $select_options, $radio_options;
	if ( ! isset( $input['option1'] ) )
		$input['option1'] = null;
	$input['option1'] = ( $input['option1'] == 1 ? 1 : 0 );
	$input['sometext'] = wp_filter_nohtml_kses( $input['sometext'] );
	if ( ! isset( $input['radioinput'] ) )
		$input['radioinput'] = null;
	if ( ! array_key_exists( $input['radioinput'], $radio_options ) )
		$input['radioinput'] = null;
	$input['sometextarea'] = wp_filter_post_kses( $input['sometextarea'] );


	return $input;
}

?>
