<?php $options = get_option( 'mx_theme_settings' ); ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php wp_title(''); ?><?php if(wp_title('', false)) { echo ' :'; } ?> <?php bloginfo('name'); ?></title>   
<link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_url'); ?>" />
<link rel="alternate" type="application/rss+xml" title="فید" href="<?php bloginfo('rss2_url'); ?> " />
<link rel="icon" type="image/png" href="<?php echo $options['upload_favicon']; ?>" />
<?php if ( is_single() || is_page() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>
<!--[if IE7]><link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/ie.css" type="text/css" media="screen" /><![endif]-->
<!--[if lte IE 6]>
<meta http-equiv="refresh" content="0; url=<?php bloginfo('template_url'); ?>/ie6.php" />
<script type="text/javascript">
/* <![CDATA[ */
window.top.location = '<?php bloginfo('template_url'); ?>/ie6.php';
/* ]]> */
</script>
<![endif]-->
<?php 
// Get And Show Analytics Code 
echo stripslashes($options['analytics']); 
?>
</head>
<body <?php body_class($class); ?>>
<div id="wrap">
	<div id="header" class="clearfix">
    	<div id="logo">
        	<?php if($options['custom_logo']) { ?>
            <a href="<?php bloginfo( 'url' ) ?>/" title="<?php bloginfo( 'name' ) ?>" rel="homepage"><img src="<?php echo $options['custom_logo']; ?>" alt="<?php bloginfo( 'name' ) ?>" /></a>
            <?php } else { ?>
        	<?php if (is_front_page()) { ?>
            <h1><a href="<?php bloginfo( 'url' ) ?>/" title="<?php bloginfo( 'name' ) ?>" rel="home"><?php bloginfo( 'name' ) ?></a></h1>
            <?php } else { ?>
        	<h2><a href="<?php bloginfo( 'url' ) ?>/" title="<?php bloginfo( 'name' ) ?>" rel="home"><?php bloginfo( 'name' ) ?></a></h2>
            <?php } ?>  
            <p><?php bloginfo( 'description' ) ?></p>
            <?php } ?>
        </div>
        <div class="clear"></div>
</div>
<div id="navigation" class="clearfix">
			<?php
            wp_nav_menu( array(
            	'theme_location' => 'main nav',
            	'sort_column' => 'menu_order',
            	'menu_class' => 'sf-menu',
            	'fallback_cb' => 'default_menu'
            )); ?>
</div>
<div id="main">
<?php if(is_front_page()) { ?>  
<?php } ?>
