<?php
	$options = get_option( 'mx_theme_settings' ); 
?>
<?php get_header(); ?>
	<div id="post-content">  
    <div class="single-entry clearfix">
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>        
        <h1><?php the_title(); ?></h1>        
			<div class="post-entry-meta">
                <span class="meta-date"><?php the_time('j F Y') ?></span> | <span class="meta-category"><?php the_category(' &bull; '); ?></span> | <span class="meta-comments"><?php comments_popup_link('بدون دیدگاه', '1 دیدگاه', '% دیدگاه'); ?></span>
            </div>
        <?php if ( has_post_thumbnail() ) { ?>
        <?php if ($options['disable_single_image'] != true) { ?>
        	<div id="single-featured-image">
        		<?php the_post_thumbnail('post-image'); ?>
            </div>
        <?php } } ?>
		<?php the_content(); ?>
        <div class="clear"></div>
		<?php endwhile; ?>
		<?php endif; ?>     
        <div class="post-entry-bottom">
        <?php the_tags('<div class="post-tags">',' ','</div>'); ?>
        </div>        
        </div>        
        <?php if ($options['disable_author'] != true) { ?>
         <div id="post-author" class="clearfix">            	
                <div id="author-avatar">
					<?php echo get_avatar( get_the_author_email(), '50' ); ?>
                </div>                
                <div id="author-description">
                	<h4>درباره‌ی نویسنده</h4>
					<?php the_author_description(); ?>
                </div>
       	</div>
       <?php } ?>        
        <?php if ($options['disable_related_posts'] != true) { ?>
        <div id="related-posts" class="clearfix">
		<h3>نوشته‌های مرتبط</h3>
			<?php
    			$category = get_the_category(); //get first current category ID
    			$this_post = $post->ID; // get ID of current post
    			$posts = get_posts('numberposts=3&orderby=date&category=' . $category[0]->cat_ID . '&exclude=' . $this_post);
   			?>
  		<?php
   			foreach($posts as $post) {
   		?>
                <?php if ( has_post_thumbnail() ) { ?>
					<div class="related-post clearfix">
						<div class="related-posts-thumbnail">
           				</div>
                   	 	<div class="related-posts-content">
                    		<h4><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h4>
                    	</div>
                    </div>                
                <?php } ?>
			 <?php } wp_reset_postdata(); ?>
	</div>
    <div class="clear"></div>
    <?php } ?>                
	<?php comments_template(); ?>                

	</div>            
<?php get_sidebar(); ?>
<div class="clear"></div>
<?php get_footer(); ?>
